Method: projects.locations.deploymentGroups.revisions.get

Gets details about a DeploymentGroupRevision.

HTTP request

GET https://config.googleapis.com/v1/{name=projects/*/locations/*/deploymentGroups/*/revisions/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the deployment group revision to retrieve. Format: 'projects/{projectId}/locations/{location}/deploymentGroups/{deploymentGroup}/revisions/{revision}'. It takes the form projects/{project}/locations/{location}/deploymentGroups/{deploymentgroup}/revisions/{revision}.

Authorization requires the following IAM permission on the specified resource name:

  • config.deploymentgrouprevisions.get

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of DeploymentGroupRevision.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • config.googleapis.com/config.deploymentgrouprevisions.get

For more information, see the IAM documentation.